FreeMat

- Main Page
- Related Pages

vtkDummyCommunicator

Section: Visualization Toolkit Parallel Classes

# Usage

This is a dummy communicator, which can be used by applications that always require a controller but are also compiled on systems without threads or MPI. Because there is always only one process, no real communication takes place.

To create an instance of class vtkDummyCommunicator, simply invoke its constructor as follows

      obj = vtkDummyCommunicator

# Methods

The class vtkDummyCommunicator has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDummyCommunicator class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDummyCommunicator = obj.NewInstance ()`
- `vtkDummyCommunicator = obj.SafeDownCast (vtkObject o)`